cURL
curl --request PUT \
--url https://api.apps.paloaltonetworks.com/ai_gw/v2/policies/usage-limits/{policyUsageLimitsId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"conditions": [
{
"key": "<string>",
"value": "<string>",
"excludes": "<string>"
}
],
"credit_limit": 1,
"alert_threshold": 1,
"periodic_reset_days": 183,
"next_usage_reset_at": "2023-11-07T05:31:56Z",
"reset_usage_for_value": "<string>"
}
'import requests
url = "https://api.apps.paloaltonetworks.com/ai_gw/v2/policies/usage-limits/{policyUsageLimitsId}"
payload = {
"name": "<string>",
"description": "<string>",
"conditions": [
{
"key": "<string>",
"value": "<string>",
"excludes": "<string>"
}
],
"credit_limit": 1,
"alert_threshold": 1,
"periodic_reset_days": 183,
"next_usage_reset_at": "2023-11-07T05:31:56Z",
"reset_usage_for_value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
conditions: [{key: '<string>', value: '<string>', excludes: '<string>'}],
credit_limit: 1,
alert_threshold: 1,
periodic_reset_days: 183,
next_usage_reset_at: '2023-11-07T05:31:56Z',
reset_usage_for_value: '<string>'
})
};
fetch('https://api.apps.paloaltonetworks.com/ai_gw/v2/policies/usage-limits/{policyUsageLimitsId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Update usage limits policy
PUT
/
policies
/
usage-limits
/
{policyUsageLimitsId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Maximum string length:
255Maximum string length:
500Minimum array length:
1Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Available options:
monthly, weekly Required range:
1 <= x <= 365Response
The response is of type object.
Last modified on September 17, 2026
Was this page helpful?

